# xarray.core.accessor_str.StringAccessor.find

`StringAccessor.``find`(sub, start=0, end=None, side='left')

  Return lowest or highest indexes in each strings in the array where the substring is fully contained between [start:end]. Return -1 on failure.

  Parameters:

  - sub (str) – Substring being searched
  - start (int) – Left edge index
  - end (int) – Right edge index
  - side ({'left', 'right'}, default 'left') – Starting side for search.

  Returns: | found
  Return type: | array of integer values